<mat-form-field appearance="outline">
  <mat-label>{{field.viewTitle}}</mat-label>
  <input type="text" #input matInput
  [readonly]="disabled"
  [value]="value"
  [type]="field!.type || 'text'"
  (change)="onValueChange(input.value)">
</mat-form-field>
